*       ķ
*                                                                
*        07/31/93            CAL_GRID.SPR               20:26:50 
*                                                                
*       Ķ
*                                                                
*        Scott B. Diamond                                        
*                                                                
*        Copyright (c) 1993 Diamond Associates                   
*        P.O. Box 537                                            
*        Levittown, NY  11756                                    
*                                                                
*        Description:                                            
*        This program was will allow for updating the CALENDAR   
*        file.                                                   
*       Ľ

DIMENSION box_a(42), box_b(42), m_open(31)
#REGION 0
REGIONAL m.currarea, m.talkstat, m.compstat

IF SET("TALK") = "ON"
	SET TALK OFF
	m.talkstat = "ON"
ELSE
	m.talkstat = "OFF"
ENDIF
m.compstat = SET("COMPATIBLE")
SET COMPATIBLE FOXPLUS

m.currarea = SELECT()

CLEAR
#REGION 1
REGIONAL month, year

@ 5,10 SAY "Enter Starting Month and Year:"
@ 6,25 GET Month ;
	SIZE 1,3 ;
	DEFAULT " " ;
	PICTURE "@!" ;
	VALID inlist (month,"JAN", "FEB", "MAR", "APR", "MAY", "JUN", "JUL", "AUG", "SEP", "OCT", "NOV", "DEC") 
@ 6,35 GET YEAR ;
	SIZE 1,4 ;
	DEFAULT 0 ;
	VALID year>1990 
READ 

DO CASE
	CASE MONTH="JAN"
	STORE "01" TO MM
		
	CASE MONTH="FEB"
	STORE "02" TO MM
		
	CASE MONTH="MAR"
	STORE "03" TO MM
	
	CASE MONTH="APR"
	STORE "04" TO MM
	
	CASE MONTH="MAY"
	STORE "05" TO MM
	
	CASE MONTH="JUN"
	STORE "06" TO MM
	
	CASE MONTH="JUL"
	STORE "07" TO MM
	
	CASE MONTH="AUG"
	STORE "08" TO MM
	
	CASE MONTH="SEP"
	STORE "09" TO MM
	
	CASE MONTH="OCT"
	STORE "10" TO MM
	
	CASE MONTH="NOV"
	STORE "11" TO MM
	
	CASE MONTH="DEC"
	STORE "12" TO MM
	
ENDCASE

STORE MM+"/01/"+STR(YEAR,4,0) TO S_DATE
STORE CTOD(S_DATE) TO S_DATE
STORE GOMONTH(S_DATE, 1) TO L_DAY
STORE SYS(11, L_DAY) TO L_DAY
STORE SYS(10, VAL(L_DAY)-1) TO L_DAY
STORE DAY(CTOD(L_DAY)) TO L_DAY
STORE CDOW(S_DATE) TO S_DAY
STORE CMONTH(S_DATE)+" "+STR(YEAR,4,0) TO TITLE

USE calendar
SET ORDER TO TAG DATE OF CALENDAR.CDX
STORE "N" TO edit_it
STORE "N" TO found_it

SEEK s_date
IF found()
	CLEAR
	STORE "Y" TO found_it
	@ 5,10 SAY "That month is already in database"
	@ 6,10 SAY "Do you want to [E]dit it or input another month?"
	@ 7,10 SAY "Enter E to edit or press any key"
	@ 7,45 GET edit_it ; 
		SIZE 1,1 ;
		PICTURE "@!"
	READ
ENDIF

IF found_it="Y"
	IF edit_it="N"
		DO cal_grid.spr
	ENDIF
ENDIF
		
*       ķ
*                                                                
*                        CAL_GRID Screen Layout                  
*                                                                
*       Ľ
*
CLEAR
*#REGION 1
@ 2,(70-LEN(TITLE))/2 SAY TITLE
@ 4,0 TO 6,10
@ 4,60 TO 6,70
@ 4,50 TO 6,60
@ 4,40 TO 6,50
@ 4,30 TO 6,40
@ 4,20 TO 6,30
@ 4,10 TO 6,20
@ 6,0 TO 8,10
@ 6,10 TO 8,20
@ 6,20 TO 8,30
@ 6,30 TO 8,40
@ 6,40 TO 8,50
@ 6,50 TO 8,60
@ 6,60 TO 8,70
@ 8,0 TO 10,10
@ 8,10 TO 10,20
@ 8,20 TO 10,30
@ 8,30 TO 10,40
@ 8,40 TO 10,50
@ 8,50 TO 10,60
@ 8,60 TO 10,70
@ 10,0 TO 12,10
@ 10,10 TO 12,20
@ 10,20 TO 12,30
@ 10,30 TO 12,40
@ 10,40 TO 12,50
@ 10,50 TO 12,60
@ 10,60 TO 12,70
@ 12,0 TO 14,10
@ 12,10 TO 14,20
@ 12,20 TO 14,30
@ 12,30 TO 14,40
@ 12,40 TO 14,50
@ 12,50 TO 14,60
@ 12,60 TO 14,70
@ 14,0 TO 16,10
@ 14,10 TO 16,20
@ 14,20 TO 16,30
@ 14,30 TO 16,40
@ 14,40 TO 16,50
@ 14,50 TO 16,60
@ 14,60 TO 16,70
@ 16,0 TO 18,10
@ 16,10 TO 18,20
@ 16,20 TO 18,30
@ 16,30 TO 18,40
@ 16,40 TO 18,50
@ 16,50 TO 18,60
@ 16,60 TO 18,70
@ 5,4 SAY "SUN"
@ 5,14 SAY "MON"
@ 5,24 SAY "TUE"
@ 5,34 SAY "WED"
@ 5,44 SAY "THU"
@ 5,54 SAY "FRI"
@ 5,64 SAY "SAT"
@ 4,0 TO 18,70 DOUBLE
@ 4,10 SAY ""
@ 4,20 SAY ""
@ 4,30 SAY ""
@ 4,40 SAY ""
@ 4,50 SAY ""
@ 4,60 SAY ""
@ 6,0 SAY ""
@ 6,10 SAY ""
@ 6,20 SAY ""
@ 6,30 SAY ""
@ 6,40 SAY ""
@ 6,50 SAY ""
@ 6,60 SAY ""
@ 6,70 SAY ""
@ 8,0 SAY ""
@ 8,10 SAY ""
@ 8,20 SAY ""
@ 8,30 SAY ""
@ 8,40 SAY ""
@ 8,50 SAY ""
@ 8,60 SAY ""
@ 8,70 SAY ""
@ 10,0 SAY ""
@ 10,10 SAY ""
@ 10,20 SAY ""
@ 10,30 SAY ""
@ 10,40 SAY ""
@ 10,50 SAY ""
@ 10,60 SAY ""
@ 10,70 SAY ""
@ 12,0 SAY ""
@ 12,10 SAY ""
@ 12,20 SAY ""
@ 12,30 SAY ""
@ 12,40 SAY ""
@ 12,50 SAY ""
@ 12,60 SAY ""
@ 12,70 SAY ""
@ 14,0 SAY ""
@ 14,10 SAY ""
@ 14,20 SAY ""
@ 14,30 SAY ""
@ 14,40 SAY ""
@ 14,50 SAY ""
@ 14,60 SAY ""
@ 14,70 SAY ""
@ 16,0 SAY ""
@ 16,10 SAY ""
@ 16,20 SAY ""
@ 16,30 SAY ""
@ 16,40 SAY ""
@ 16,50 SAY ""
@ 16,60 SAY ""
@ 16,70 SAY ""
@ 18,10 SAY ""
@ 18,20 SAY ""
@ 18,30 SAY ""
@ 18,40 SAY ""
@ 18,50 SAY ""
@ 18,60 SAY ""

SELECT (m.currarea)
STORE "7,1" TO BOX_A(1)
STORE "7,11" TO BOX_A(2)
STORE "7,21" TO BOX_A(3)
STORE "7,31" TO BOX_A(4)
STORE "7,41" TO BOX_A(5)
STORE "7,51" TO BOX_A(6)
STORE "7,61" TO BOX_A(7)
STORE "9,1" TO BOX_A(8)
STORE "9,11" TO BOX_A(9)
STORE "9,21" TO BOX_A(10)
STORE "9,31" TO BOX_A(11)
STORE "9,41" TO BOX_A(12)
STORE "9,51" TO BOX_A(13)
STORE "9,61" TO BOX_A(14)
STORE "11,1" TO BOX_A(15)
STORE "11,11" TO BOX_A(16)
STORE "11,21" TO BOX_A(17)
STORE "11,31" TO BOX_A(18)
STORE "11,41" TO BOX_A(19)
STORE "11,51" TO BOX_A(20)
STORE "11,61" TO BOX_A(21)
STORE "13,1" TO BOX_A(22)
STORE "13,11" TO BOX_A(23)
STORE "13,21" TO BOX_A(24)
STORE "13,31" TO BOX_A(25)
STORE "13,41" TO BOX_A(26)
STORE "13,51" TO BOX_A(27)
STORE "13,61" TO BOX_A(28)
STORE "15,1" TO BOX_A(29)
STORE "15,11" TO BOX_A(30)
STORE "15,21" TO BOX_A(31)
STORE "15,31" TO BOX_A(32)
STORE "15,41" TO BOX_A(33)
STORE "15,51" TO BOX_A(34)
STORE "15,61" TO BOX_A(35)
STORE "17,1" TO BOX_A(36)
STORE "17,11" TO BOX_A(37)
STORE "17,21" TO BOX_A(38)
STORE "17,31" TO BOX_A(39)
STORE "17,41" TO BOX_A(40)
STORE "17,51" TO BOX_A(41)
STORE "17,61" TO BOX_A(42)
STORE "7,9" TO BOX_B(1)
STORE "7,19" TO BOX_B(2)
STORE "7,29" TO BOX_B(3)
STORE "7,39" TO BOX_B(4)
STORE "7,49" TO BOX_B(5)
STORE "7,59" TO BOX_B(6)
STORE "7,69" TO BOX_B(7)
STORE "9,9" TO BOX_B(8)
STORE "9,19" TO BOX_B(9)
STORE "9,29" TO BOX_B(10)
STORE "9,39" TO BOX_B(11)
STORE "9,49" TO BOX_B(12)
STORE "9,59" TO BOX_B(13)
STORE "9,69" TO BOX_B(14)
STORE "11,9" TO BOX_B(15)
STORE "11,19" TO BOX_B(16)
STORE "11,29" TO BOX_B(17)
STORE "11,39" TO BOX_B(18)
STORE "11,49" TO BOX_B(19)
STORE "11,59" TO BOX_B(20)
STORE "11,69" TO BOX_B(21)
STORE "13,9" TO BOX_B(22)
STORE "13,19" TO BOX_B(23)
STORE "13,29" TO BOX_B(24)
STORE "13,39" TO BOX_B(25)
STORE "13,49" TO BOX_B(26)
STORE "13,59" TO BOX_B(27)
STORE "13,69" TO BOX_B(28)
STORE "15,9" TO BOX_B(29)
STORE "15,19" TO BOX_B(30)
STORE "15,29" TO BOX_B(31)
STORE "15,39" TO BOX_B(32)
STORE "15,49" TO BOX_B(33)
STORE "15,59" TO BOX_B(34)
STORE "15,69" TO BOX_B(35)
STORE "17,9" TO BOX_B(36)
STORE "17,19" TO BOX_B(37)
STORE "17,29" TO BOX_B(38)
STORE "17,39" TO BOX_B(39)
STORE "17,49" TO BOX_B(40)
STORE "17,59" TO BOX_B(41)
STORE "17,69" TO BOX_B(42)

DO CASE

	CASE S_DAY="Sunday"
	STORE 0 TO S_BOX
	
	CASE S_DAY="Monday"
	STORE 1 TO S_BOX
	
	CASE S_DAY="Tuesday"
	STORE 2 TO S_BOX
	
	CASE S_DAY="Wednesday"
	STORE 3 TO S_BOX
	
	CASE S_DAY="Thursday"
	STORE 4 TO S_BOX
	
	CASE S_DAY="Friday"
	STORE 5 TO S_BOX
	
	CASE S_DAY="Saturday"
	STORE 6 TO S_BOX
ENDCASE

FOR I= 1 TO L_DAY
	@ &box_a(i+s_box) SAY i PICTURE '99' FUNCTION 'B'
ENDFOR

FOR I=1 to L_DAY
	@ &box_b(i+s_box) GET m_open(i)
ENDFOR
READ

IF edit_it<>"E"
	FOR I=1 to L_DAY
		APPEND BLANK
		Store mm+"/"+STR(I,2,0)+"/"+STR(year,4,0) to m_date
		REPLACE CALENDAR.DATE WITH CTOD(m_date)
		REPLACE OPEN with m_open(i)
	ENDFOR
ELSE
	FOR I=1 to L_DAY
		Store mm+"/"+STR(I,2,0)+"/"+STR(year,4,0) to m_date
		seek CTOD(m_date)
		REPLACE OPEN with m_open(i)
	ENDFOR
ENDIF

#REGION 0
IF m.talkstat = "ON"
	SET TALK ON
ENDIF
IF m.compstat = "ON"
	SET COMPATIBLE ON
ENDIF
